<div class="offset-md-3 col-md-6 jumbotron" id="authentication-form">

  <h1 style="text-align: center">Se connecter</h1>

  <form (ngSubmit)="onSubmit()" #authenticationForm="ngForm">
    <div class="form-group">
      <label for="login">Login:</label>
      <input type="text"
             [(ngModel)]="credential.login" #login="ngModel" [ngClass]="{ 'is-invalid': login.invalid && (login.dirty || login.touched), 'is-valid': login.valid && (login.dirty || login.touched) }"
             class="form-control" id="login" placeholder="Enter Login" name="login"
             required pattern="^(?=.{4,20}$)(?![_.-])(?!.*[_.-]{2})[a-zA-Z0-9._-]+(?<![_.-])$">
      <div *ngIf="login.invalid && (login.dirty || login.touched)" class="invalid-feedback">
        <div *ngIf="login.errors.required">Login is required.</div>
        <div *ngIf="login.errors.pattern">Invalid login ! 4 to 20 character login requiring (only alphanumeric and dot, underscore, score authorized).</div>
      </div>
    </div>

    <div class="form-group">
      <label for="password">Password:</label>
      <input type="password"
             [(ngModel)]="credential.password" #password="ngModel" [ngClass]="{ 'is-invalid': password.invalid && (password.dirty || password.touched), 'is-valid': password.valid && (password.dirty || password.touched) }"
             class="form-control" id="password" placeholder="Enter password" name="password"
             required pattern='^(?:(?=.*\d)(?=.*[A-Z])(?=.*[a-z])|(?=.*\d)(?=.*[^A-Za-z0-9])(?=.*[a-z])|(?=.*[^A-Za-z0-9])(?=.*[A-Z])(?=.*[a-z])|(?=.*\d)(?=.*[A-Z])(?=.*[^A-Za-z0-9]))(?!.*(.)\1{2,})[A-Za-z0-9!~<>,;:_=?*+#."&§%°()|\[\]\-$^@/]{8,32}$'>
      <div *ngIf="password.invalid && (password.dirty || password.touched)" class="invalid-feedback">
        <div *ngIf="password.errors.required">Password is required.</div>
        <div *ngIf="password.errors.pattern">Invalid password ! 8 to 32 character password requiring with 1 uppercase and 1 special character at least.</div>
      </div>
    </div>

    <div class="text-center">
      <button type="submit" class="btn btn-primary" [disabled]="authenticationForm.invalid">Connexion</button>
    </div>

  </form>
</div>
